#!/usr/bin/perl
# Copyright (c) 2000-2004 ActiveState Corp.

# Use this sample script to explore editing and debugging with Komodo.

# See "rx_sample.pl" in this project for more information.

# Turn on strict mode to make Perl check for common mistakes.
use strict;

#---- Code Folding:
#    - Click the "+" and "-" symbols in the left margin.
#    - Use View|Fold to collapse or expand all blocks.

#---- Syntax Coloring:
#    - Language elements are colored according to the Fonts and Colors
#      preference.


sub fruitsILike(@) {
        foreach ((@_)) {
                if ($_ ne "apples") {
                        print "I like $_\n";
                }
        }
}

my @fruits = ("apples", "pears", "oranges");
fruitsILike(@fruits);

#---- Background Syntax Checking:
#     - Syntax errors are underlined in red.
#     - Syntax warnings are underlined in green.
#     - Configure Perl preferences to customize errors and warnings.
#     - Position the cursor over the underline to view the error or warning message.

"hello there";

#---- Debugging:
#     1. Set a breakpoint by clicking the left margin on line 48 ("my $sum = 0.0;").
#     2. Press 'F5' to invoke the debugger; click "OK" to accept the default.
#     3. Press 'F11' to step into "my $sum = 0.0;".
#     4. View variables and output on the Debug tab.
#     5. See the "Debug" menu for additional debug commands.
#     6. Press 'Shift'+'F5' to stop.

sub printTotal(@) {
        my $sum = 0.0;
        for (my $i=0; $i < scalar(@_); $i++) {
            $sum += $_[$i];
        }
        print "the sum of the prices is $sum\n";
}
my @prices = (5.50, 6.25, 7.00, 3.15);
printTotal(@prices);

#---- Interactive Shell:
#     1. Select lines 47 to 55, and then press 'Ctrl'+'C'.
#     2. Select Tools|Interactive Shell|Start New Perl Shell.
#     3. Press 'Ctrl'+'V'.
#     4. Press 'Enter'. The output is displayed in the Perl Shell beneath
#        the code snippet.


#---- Code Browsing:
#     1. If necesssary, enable Komodo's code intelligence (Edit|Preferences|Code Intelligence).
#     2. Select View|Tabs|Code Browser.
#     3. On the Code tab, click the plus sign next to "perl_sample".
#     4. If necessary, display the Code Description pane by clicking the
#        "Show/Hide Description" button at the bottom of the Code Browser.
#     5. Select "Global Variables". The global variables are displayed in the
#        Code Description pane.

#    More:
#    - Press 'F1' to view the Komodo User Guide.
#    - Select Help|Tutorial|Perl Tutorial for more about Komodo and Perl.
